GWT 2.7.0

## com.google.gwt.i18n.client
Enum HasDirection.Direction

    java.lang.Object
      java.lang.Enum<HasDirection.Direction>
          com.google.gwt.i18n.client.HasDirection.Direction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HasDirection.Direction>

Enclosing interface:
  HasDirection

    public static enum HasDirection.Direction

extends java.lang.Enum<HasDirection.Direction>

Possible return values for `HasDirection.getDirection()` and parameter values for `HasDirection.setDirection(Direction)`.Widgets that implement this interface can either have a direction that is right-to-left (RTL), left-to-right (LTR), or default (which means that their directionality is inherited from their parent widget).

Enum Constant Summary
`DEFAULT`
`LTR`
`RTL`

Method Summary
`static HasDirection.Direction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HasDirection.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RTL

    public static final HasDirection.Direction RTL

### LTR

    public static final HasDirection.Direction LTR

### DEFAULT

    public static final HasDirection.Direction DEFAULT

Method Detail

### values

    public static HasDirection.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HasDirection.Direction c : HasDirection.Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HasDirection.Direction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

GWT 2.7.0